Loading...
Searching...
No Matches
Magick::DrawableCircle Class Reference
Inheritance diagram for Magick::DrawableCircle:

## Public Member Functions

| DrawableCircle (double originX_, double originY_, double perimX_, double perimY_)
void | operator() (MagickCore::DrawingWand *context_) const
DrawableBase * | copy () const
void | originX (double originX_)
double | originX (void) const
void | originY (double originY_)
double | originY (void) const
void | perimX (double perimX_)
double | perimX (void) const
void | perimY (double perimY_)
double | perimY (void) const

## Private Attributes

double | _originX
double | _originY
double | _perimX
double | _perimY

## Detailed Description

Definition at line 606 of file Drawable.h.

## Constructor & Destructor Documentation

## DrawableCircle()

Magick::DrawableCircle::DrawableCircle | ( | double | originX_,
|  | double | originY_,
|  | double | perimX_,
|  | double | perimY_
| ) |  |

inline

Definition at line 609 of file Drawable.h.

: _originX(originX_),
_originY(originY_),
_perimX(perimX_),
_perimY(perimY_)
{
}

## ~DrawableCircle()

Magick::DrawableCircle::~DrawableCircle | ( | void |  | ) |

Definition at line 458 of file Drawable.cpp.

{
}

## Member Function Documentation

## copy()

Magick::DrawableBase * Magick::DrawableCircle::copy | ( |  | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 465 of file Drawable.cpp.

{
return new DrawableCircle(*this);
}

## operator()()

void Magick::DrawableCircle::operator() | ( | MagickCore::DrawingWand * | context_ | ) | const

virtual

Reimplemented from Magick::DrawableBase.

Definition at line 461 of file Drawable.cpp.

{
DrawCircle( context_, _originX, _originY, _perimX, _perimY );
}

## originX() [1/2]

void Magick::DrawableCircle::originX | ( | double | originX_ | ) |

inline

Definition at line 626 of file Drawable.h.

{
_originX = originX_;
}

## originX() [2/2]

double Magick::DrawableCircle::originX | ( | void |  | ) | const

inline

Definition at line 630 of file Drawable.h.

{
return _originX;
}

## originY() [1/2]

void Magick::DrawableCircle::originY | ( | double | originY_ | ) |

inline

Definition at line 635 of file Drawable.h.

{
_originY = originY_;
}

## originY() [2/2]

double Magick::DrawableCircle::originY | ( | void |  | ) | const

inline

Definition at line 639 of file Drawable.h.

{
return _originY;
}

## perimX() [1/2]

void Magick::DrawableCircle::perimX | ( | double | perimX_ | ) |

inline

Definition at line 644 of file Drawable.h.

{
_perimX = perimX_;
}

## perimX() [2/2]

double Magick::DrawableCircle::perimX | ( | void |  | ) | const

inline

Definition at line 648 of file Drawable.h.

{
return _perimX;
}

## perimY() [1/2]

void Magick::DrawableCircle::perimY | ( | double | perimY_ | ) |

inline

Definition at line 653 of file Drawable.h.

{
_perimY = perimY_;
}

## perimY() [2/2]

double Magick::DrawableCircle::perimY | ( | void |  | ) | const

inline

Definition at line 657 of file Drawable.h.

{
return _perimY;
}

## Field Documentation

## _originX

double Magick::DrawableCircle::_originX

private

Definition at line 663 of file Drawable.h.

## _originY

double Magick::DrawableCircle::_originY

private

Definition at line 664 of file Drawable.h.

## _perimX

double Magick::DrawableCircle::_perimX

private

Definition at line 665 of file Drawable.h.

## _perimY

double Magick::DrawableCircle::_perimY

private

Definition at line 666 of file Drawable.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Drawable.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Drawable.cpp